RIO_IS_SWITCH(9)

NAME
rio_is_switch - Tests if a RIO device has switch capabilities

SYNOPSIS

int rio_is_switch (struct rio_dev * rdev);

ARGUMENTS

rdev
    RIO device

DESCRIPTION

Gets the RIO device Processing Element Features register contents and tests for switch capabilities. Returns 1 if the device is a switch or 0 if it is not a switch. The RIO device struct is freed.

AUTHOR
Matt Porter <mporter@kernel.crashing.org> <mporter@mvista.com>.